## org.apache.mahout.ep
Interface Payload<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  AdaptiveLogisticRegression.Wrapper

    public interface Payload<T>

Payloads for evolutionary state must be copyable and updatable. The copy should be a deep copy unless some aspect of the state is sharable or immutable. During mutation, a copy is first made and then after the parameters in the State structure are suitably modified, update is called with the scaled versions of the parameters.

See Also:
  `State`

Method Summary
`T` `copy()`
`void` `update(double[] params)`

Method Detail

### copy

    T copy()

### update

    void update(double[] params)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.